Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net
Class ServerSocketFactory

    java.lang.Object
      |
      +--javax.net.ServerSocketFactory

Direct Known Subclasses:
  SSLServerSocketFactory

public abstract class ServerSocketFactory
extends Object

This class creates server sockets. It may be subclassed by other factories, which create particular types of server sockets. This provides a general framework for the addition of public socket-level functionality. It is the server side analogue of a socket factory, and similarly provides a way to capture a variety of policies related to the sockets being constructed.

Like socket factories, server Socket factory instances have methods used to create sockets. There is also an environment specific default server socket factory; frameworks will often use their own customized factory.

Since:
  1.4
See Also:
  `SocketFactory`

Constructor Summary
`protected` | `ServerSocketFactory()` Creates a server socket factory.

Method Summary
`ServerSocket` | `createServerSocket()` Returns an unbound server socket.
`abstract ServerSocket` | `createServerSocket(int port)` Returns a server socket bound to the specified port.
`abstract ServerSocket` | `createServerSocket(int port, int backlog)` Returns a server socket bound to the specified port, and uses the specified connection backlog.
`abstract ServerSocket` | `createServerSocket(int port, int backlog, InetAddress ifAddress)` Returns a server socket bound to the specified port, with a specified listen backlog and local IP.
`static ServerSocketFactory` | `getDefault()` Returns a copy of the environment's default socket factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSocketFactory

    protected ServerSocketFactory()

  Creates a server socket factory.

Method Detail

### getDefault

    public static ServerSocketFactory getDefault()

  Returns a copy of the environment's default socket factory.

  Returns:
    the `ServerSocketFactory`

### createServerSocket

    public ServerSocket createServerSocket()
                                    throws IOException

  Returns an unbound server socket. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Returns:
    the unbound socket
  Throws:
    `IOException` - if the socket cannot be created
  See Also:
    `ServerSocket.bind(java.net.SocketAddress)`, `ServerSocket.bind(java.net.SocketAddress, int)`, `ServerSocket.ServerSocket()`

### createServerSocket

    public abstract ServerSocket createServerSocket(int port)
                                             throws IOException

  Returns a server socket bound to the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
  Returns:
    the `ServerSocket`
  Throws:
    `IOException` - for networking errors
  See Also:
    `ServerSocket.ServerSocket(int)`

### createServerSocket

    public abstract ServerSocket createServerSocket(int port,
                                                    int backlog)
                                             throws IOException

  Returns a server socket bound to the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
  Returns:
    the `ServerSocket`
  Throws:
    `IOException` - for networking errors
  See Also:
    `ServerSocket.ServerSocket(int, int)`

### createServerSocket

    public abstract ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    InetAddress ifAddress)
                                             throws IOException

  Returns a server socket bound to the specified port, with a specified listen backlog and local IP. The bindAddr argument can be used on a multi-homed host for a `ServerSocket` that will only accept connect requests to one of its addresses. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
    `ifAddress` - the network interface address to use
  Returns:
    the `ServerSocket`
  Throws:
    `IOException` - for networking errors
  See Also:
    `ServerSocket.ServerSocket(int, int, java.net.InetAddress)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.